/*
 * Copyright (c) 2007-2013, Czirkos Zoltan http://code.google.com/p/gdash/
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:

 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include "config.h"

#include "cave/object/caveobjectrectangular.hpp"

#include "misc/printf.hpp"

CaveRectangular::CaveRectangular(CaveObject::Type type, Coordinate _p1, Coordinate _p2)
    :   CaveObject(type),
        p1(_p1),
        p2(_p2) {
}

void CaveRectangular::create_drag(Coordinate current, Coordinate displacement) {
    p2 = current;
}

void CaveRectangular::move(Coordinate current, Coordinate displacement) {
    Coordinate::drag_rectangle(p1, p2, current, displacement);
}

void CaveRectangular::move(Coordinate displacement) {
    p1 += displacement;
    p2 += displacement;
}

std::string CaveRectangular::get_coordinates_text() const {
    return SPrintf("%d,%d-%d,%d") % p1.x % p1.y % p2.x % p2.y;
}
